Package Details: xorgproto-git 2020.1.16.r2653.ge4d9ffd-1

Git Clone URL: https://aur.archlinux.org/xorgproto-git.git (read-only, click to copy)
Package Base: xorgproto-git
Description: Combined X.Org X11 Protocol headers (git version)
Upstream URL: https://xorg.freedesktop.org/
Keywords: bigreqsproto compositeproto damageproto dmxproto dri2proto dri3proto fixesproto fontsproto glproto inputproto kbproto presentproto printproto randrproto recordproto renderproto resourceproto scrnsaverproto videoproto xcmiscproto
Licenses: custom
Conflicts: xorgproto
Provides: xorgproto
Submitter: Det
Maintainer: yurikoles
Last Packager: yurikoles
Votes: 3
Popularity: 0.50
First Submitted: 2018-02-10 14:39
Last Updated: 2020-09-26 19:07

Dependencies (3)

Required by (173)

Sources (1)

Latest Comments

tuximail commented on 2020-10-15 13:57

I forgot to enable notifications for the package and therefore missed your reply. Deinstalling libxfont and installing libxfont2 solved the issue. Thanks for your support!

yurikoles commented on 2020-09-28 10:11

@tuximail

In the latest update I refactored the package to be in sync with official [extra]'s xorgproto package. In the new version all provides was cleaned out. It seems that you have libxfont installed from AUR, which doesn't reflect the changes in xorgproto(-git). Please upgrade to libxfont2.

tuximail commented on 2020-09-27 10:35

The latest update of this package fails for me:

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorgproto-git (2020.1.16.r2653.ge4d9ffd-1) breaks dependency 'xproto' required by libxfont
:: installing xorgproto-git (2020.1.16.r2653.ge4d9ffd-1) breaks dependency 'fontsproto' required by libxfont

shoober420 commented on 2020-08-04 12:10

This package now uses meson. Please update your PKGBUILD to reflect the official in the main repository.